> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v3 Categories

> Get all Insight Categories.



## OpenAPI

````yaml get /v3/insights/categories
openapi: 3.0.0
info:
  contact: {}
  description: Insights API for Platform2.0
  license:
    name: GWI Platform 2.0 Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: Insights API
  version: 0.0.1
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v3/insights/categories:
    get:
      tags:
        - Insights
      summary: v3 Categories
      description: Get all Insight Categories.
      operationId: v3Categories
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/categories.GetAllResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.httpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    categories.GetAllResponse:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/domain.Category'
          type: array
      type: object
    httperror.httpError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    domain.Category:
      properties:
        id:
          type: integer
        name:
          type: string
        view_count:
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````